Skip to content

Get organization users

GET
/api/v1/gen_organizations/users

Retrieve list of users in an organization.

organization_id
required
Organization Id
string

Successful Response

Response Get Organization Users Api V1 Gen Organizations Users Get
Array<object>
UserOrganizationResponse

Response model for a user in an organization. Gen API returns: { id, email, name, organization_role }

object
id
required
Id
integer
email
Any of:
string
name
Any of:
string
organization_role
Any of:
string
key
additional properties
any

Bad Request

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string

Forbidden: You cannot update your own role, or the role of the owner, or remove yourself from the organization.

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string
Example
{
"error": "You cannot update your own role",
"error_code": "cannot_update_own_role"
}

Not Found: User not found, or user is not a member of this organization.

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string
Example
{
"error": "User not found",
"error_code": "user_not_found"
}

Unprocessable Content: Validation error (e.g., invalid parameters).

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string
Example
{
"error": "Name is too long",
"error_code": "validation_error"
}

Internal Server Error

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string